<< wconv | FOSSEE_Signal_Processing_Toolbox | wind >>

FOSSEE_Signal_Processing_Toolbox >> FOSSEE_Signal_Processing_Toolbox > welchwin

# welchwin

This function returns the filter coefficients of a Welch window.

### Syntax

    w = welchwin (m)
    w = welchwin (m, opt)

### Parameters

m:

  positive integer value

opt:

  string value, takes "periodic" or "symmetric"

w:

  output variable, vector of real numbers

### Description

This function returns the filter coefficients of a Welch window of length m supplied as input, to the output vector w. The second parameter can take the values "periodic" or "symmetric", depending on which the corresponding form of window is returned. The default is symmetric. For symmetric, the length should be an integer>2. For periodic, the length should be an integer>1.

### Examples

    welchwin(4,"symmetric")

Report an issue
<< wconv | FOSSEE_Signal_Processing_Toolbox | wind >>